import {post, upload} from "../utils/request";
// 已重构接口
export const getUserInfoV1 = (params) => post("/app/sys/user/getXgfUserInfo", params) // 获取用户信息
export const setUserInitV1 = (params) => post("/app/sys/user/xgfInit", params) //更新用户信息
export const getDicLevel = (params) => post("/app/sys/dictionaries/getLevels", params) // 获取数据字典
export const getEmpLog = (params) => post("/app/sys/user/getEmpLog", params) // 获取就职记录
export const uploadFile = (params) => upload("/app/sys/file/uploadFile", params);
export const setRefreshToken = (params) => post("/sys/refreshToken", params ); // 刷新token
export const setEntryV1 = (params) => post("/app/sys/user/entry", params ); // 入职
export const resignV1 = (params) => post("/app/sys/user/resign", params ); // 离职
export const getStudentInfoApi = (params) => post("/app/student/getStudentInfo", params ); // 获取学员信息
export const getHiddenList = (params) => post("/app/hidden/list", params); // 隐患列表
export const getHiddenInfo = (params) => post("/app/hidden/goEdit", params); // 隐患信息
export const setFileDelete = (params) => post("/app/imgfiles/delete", params); // 删除图片
export const getPersonnelList = (params) => post("/app/sys/listUser", params); // 人员
export const setHiddenNuRectificationSubmit = (params) =>
    post("/app/hiddenexamine/special", params);
export const setHiddenRectificationSubmit = (params) =>
    post("/app/hidden/rectify", params); // 隐患整改提交
export const fileUpload = (params) => upload("/app/file/upload", params);





